module ApiService
  class SuccessfulResult
    attr_reader :state, :response

    def initialize(response, state, options = {})
      @options = default_options.merge(options)
      @response = response
      @state = state
    end

    def http_status
      @options[:http_status]
    end

    private

    def default_options
      {
        http_status: 201
      }
    end
  end
end
