require 'api_service/base_action'

module ApiService
  class Action < BaseAction
    def initialize(name, options, to_perform)
      super(name, options)
      @to_perform = to_perform
    end

    def perform(params, state)
      @to_perform.call(params, state)
    end
  end
end
