module ApiService
  class FailedResult
    attr_reader :state

    def initialize(state)
      @state = state
    end

    def response
      { errors: @state.errors.to_hash }
    end

    def http_status
      @state.action.fail_http_status
    end
  end
end
